package preypredator;

public interface PPRuntime {
	
	public void growGrass(PPGrid grass, float factor, int growth, int min, int max);
	
	public void selectMaxTarget(PPGrid grid, int radius, int[] xPositions,
		int[] yPositions, int[] newXPositions, int[] newYPositions);
		
	public void selectNearestNonZeroTarget(PPGrid grid, int radius, int[] xPositions,
			int[] yPositions, int[] newXPositions, int[] newYPositions);
		
}